<?php
/**
 * @package		Joomla.Plugin
 * @subpackage	Content.molykedvencelem
 * @copyright	Kovács Péter - JoomlaSpecialista.hu
 * @license		GNU General Public License version 2 or later
 */

// no direct access
defined('_JEXEC') or die;

class plgContentMolykedvencelem extends JPlugin
{

	function onPrepareContent( &$article, &$params, $limitstart )
	{

		if (strpos($article->text, '{no-molykedvencelem}')) {
			$article->text = str_replace('{no-molykedvencelem}', '', $article->text);
			return true;
		}
		
		$pluginParams = $this->params;		
		$position = $pluginParams->get('position','top');
		$show_all_cat = $pluginParams->get('show_all_cat',1);
		$categories = $pluginParams->get('categories',Array());		
		$show_all_menuitems = $pluginParams->get('show_all_menuitems',1);
		$menuitems = $pluginParams->get('menuitems',Array());
		
		$categories = explode(",", $categories);
		$categories = array_map('trim', $categories);
		if(!$show_all_cat && !in_array($article->catid, $categories)) {
			return true;
		}
		
		$menu = &JSite::getMenu();
		$menuItem = $menu->getActive();
		if(!$show_all_menuitems && !in_array($menuItem->id, $menuitems)) {
			return true;
		}
		
		$base = substr(JURI::base(), 0, -1);
		$articleUrl = $base . JRoute::_(ContentHelperRoute::getArticleRoute($article->slug, $article->catid));
		
		$moly = '<iframe frameborder="0" scrolling="no" style="border: medium none; overflow: hidden; width: 400px; height: 26px;" allowtransparency="true" src="http://moly.hu/external/entries?url='.$articleUrl.'"></iframe>';
		
		if( ($position=='top') || ($position=='both') ) {
			$article->text = $moly . $article->text;
		}
		
		if( ($position=='bottom') || ($position=='both') ) {
			$article->text .= $moly;
		}		
	}
}
